VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::metamodel::Enumeration Interface Reference

The `Enumeration` interface provides methods to retrieve metamodel information about an enumeration element in the interface definition language. More...

Inherited by vmware::vapi::metadata::metamodel::EnumerationStub.

List of all members.

## Public Member Functions
global::System.Collections.Generic.List < string > | List ()
| Returns the identifiers for the enumeration elements that are contained in all the package elements, service elements and structure elements.
global::System.Collections.Generic.List < string > | List (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the identifiers for the enumeration elements that are contained in all the package elements, service elements and structure elements.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync ()
| Returns the identifiers for the enumeration elements that are contained in all the package elements, service elements and structure elements.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the identifiers for the enumeration elements that are contained in all the package elements, service elements and structure elements.
vmware.vapi.metadata.metamodel.EnumerationInfo | Get (string enumerationId)
| Retrieves information about the enumeration element corresponding to enumerationId .
vmware.vapi.metadata.metamodel.EnumerationInfo | Get (string enumerationId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves information about the enumeration element corresponding to enumerationId .
global::System.Threading.Tasks.Task < vmware.vapi.metadata.metamodel.EnumerationInfo > | GetAsync (string enumerationId)
| Retrieves information about the enumeration element corresponding to enumerationId .
global::System.Threading.Tasks.Task < vmware.vapi.metadata.metamodel.EnumerationInfo > | GetAsync (string enumerationId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves information about the enumeration element corresponding to enumerationId .

## Detailed Description

The `Enumeration` interface provides methods to retrieve metamodel information about an enumeration element in the interface definition language.

The `Enumeration` has a list of enumeration value elements.

## Member Function Documentation

vmware.vapi.metadata.metamodel.EnumerationInfo vmware::vapi::metadata::metamodel::Enumeration::Get | ( | string | enumerationId | ) |

Retrieves information about the enumeration element corresponding to enumerationId .

The EnumerationInfo contains the metamodel information about the enumeration value element contained in the enumeration element.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the enumeration element associated with enumerationId is not contained in any of the package elements, service elements and structure elements.

Parameters:

  enumerationId | Identifier of the enumeration element. The parameter must be an identifier for the resource type: `com.vmware.vapi.enumeration` .

Returns:
  The EnumerationInfo instance that corresponds to enumerationId

Implemented in vmware::vapi::metadata::metamodel::EnumerationStub.

vmware.vapi.metadata.metamodel.EnumerationInfo vmware::vapi::metadata::metamodel::Enumeration::Get | ( | string | enumerationId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Retrieves information about the enumeration element corresponding to enumerationId .

The EnumerationInfo contains the metamodel information about the enumeration value element contained in the enumeration element.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the enumeration element associated with enumerationId is not contained in any of the package elements, service elements and structure elements.

Parameters:

  enumerationId | Identifier of the enumeration element. The parameter must be an identifier for the resource type: `com.vmware.vapi.enumeration` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The EnumerationInfo instance that corresponds to enumerationId

Implemented in vmware::vapi::metadata::metamodel::EnumerationStub.

global::System.Threading.Tasks.Task<vmware.vapi.metadata.metamodel.EnumerationInfo> vmware::vapi::metadata::metamodel::Enumeration::GetAsync | ( | string | enumerationId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Retrieves information about the enumeration element corresponding to enumerationId .

The EnumerationInfo contains the metamodel information about the enumeration value element contained in the enumeration element.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the enumeration element associated with enumerationId is not contained in any of the package elements, service elements and structure elements.

Parameters:

  enumerationId | Identifier of the enumeration element. The parameter must be an identifier for the resource type: `com.vmware.vapi.enumeration` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The EnumerationInfo instance that corresponds to enumerationId

Implemented in vmware::vapi::metadata::metamodel::EnumerationStub.

global::System.Threading.Tasks.Task<vmware.vapi.metadata.metamodel.EnumerationInfo> vmware::vapi::metadata::metamodel::Enumeration::GetAsync | ( | string | enumerationId | ) |

Retrieves information about the enumeration element corresponding to enumerationId .

The EnumerationInfo contains the metamodel information about the enumeration value element contained in the enumeration element.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the enumeration element associated with enumerationId is not contained in any of the package elements, service elements and structure elements.

Parameters:

  enumerationId | Identifier of the enumeration element. The parameter must be an identifier for the resource type: `com.vmware.vapi.enumeration` .

Returns:
  The EnumerationInfo instance that corresponds to enumerationId

Implemented in vmware::vapi::metadata::metamodel::EnumerationStub.

global::System.Collections.Generic.List<string> vmware::vapi::metadata::metamodel::Enumeration::List | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns the identifiers for the enumeration elements that are contained in all the package elements, service elements and structure elements.

Returns:
  The list of identifiers for the enumeration elements. The result will contain identifiers for the resource type: `com.vmware.vapi.enumeration` .

Implemented in vmware::vapi::metadata::metamodel::EnumerationStub.

global::System.Collections.Generic.List<string> vmware::vapi::metadata::metamodel::Enumeration::List | ( |  | ) |

Returns the identifiers for the enumeration elements that are contained in all the package elements, service elements and structure elements.

Returns:
  The list of identifiers for the enumeration elements. The result will contain identifiers for the resource type: `com.vmware.vapi.enumeration` .

Implemented in vmware::vapi::metadata::metamodel::EnumerationStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::vapi::metadata::metamodel::Enumeration::ListAsync | ( |  | ) |

Returns the identifiers for the enumeration elements that are contained in all the package elements, service elements and structure elements.

Returns:
  The list of identifiers for the enumeration elements. The result will contain identifiers for the resource type: `com.vmware.vapi.enumeration` .

Implemented in vmware::vapi::metadata::metamodel::EnumerationStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::vapi::metadata::metamodel::Enumeration::ListAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns the identifiers for the enumeration elements that are contained in all the package elements, service elements and structure elements.

Returns:
  The list of identifiers for the enumeration elements. The result will contain identifiers for the resource type: `com.vmware.vapi.enumeration` .

Implemented in vmware::vapi::metadata::metamodel::EnumerationStub.

The documentation for this interface was generated from the following file:

- Enumeration.cs